List

  • GET
  • /workspaces
  • /:workspace
  • /webhooks

Get all webhooks in the workspace

Request

REQUIRED SCOPES
WEBHOOK_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
webhooksShortWebhookView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/webhooks" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-company/webhooks", "html_url": "https://app.buddy.works/my-company/-/workspace/integrations", "webhooks": [ { "url": "https://api.buddy.works/workspaces/my-company/webhooks/123", "html_url": "https://app.buddy.works/my-company/-/workspace/integrations/123", "id": 123, "target_url": "https://example.com/webhook", "name": "CI Webhook" }, { "url": "https://api.buddy.works/workspaces/my-company/webhooks/124", "html_url": "https://app.buddy.works/my-company/-/workspace/integrations/124", "id": 124, "target_url": "https://slack.com/webhook/123", "name": "Slack Notifications" } ] }
STATUS
200 OK